commit:     504a2a414d9b15fa1e4d84cfe3d52f9555e8895a
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 21 06:37:28 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Feb 21 09:22:39 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=504a2a41

dev-python/pathable: Bump to 0.5.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pathable/Manifest              |  1 +
 dev-python/pathable/pathable-0.5.0.ebuild | 39 +++++++++++++++++++++++++++++++
 2 files changed, 40 insertions(+)

diff --git a/dev-python/pathable/Manifest b/dev-python/pathable/Manifest
index 1902ae44827f..d4d7fae7eec1 100644
--- a/dev-python/pathable/Manifest
+++ b/dev-python/pathable/Manifest
@@ -1,2 +1,3 @@
 DIST pathable-0.4.4.gh.tar.gz 21381 BLAKE2B 
f0ba3579204a636948f96259bc67b3a6e923af1de7b6fcf4021152c9482f82fc362d5d50cb1bcd6b5393c49d2914c6d36e941647754ef7bc2554722ad02f38ad
 SHA512 
4b1ec32f7e952749ec0384036e7becf5343e92cbec9160627c2a678e314d7387bd4ad56a3953171038a38102c715469e973218cb3995df414bd9dd750986e046
+DIST pathable-0.5.0.gh.tar.gz 58424 BLAKE2B 
638caa4f7c143e27b671aedcb1ed32b79eb3b48723f367f771882922b380c843e7982c9c821cac5b082cc7af875a668f8bdcc0373ee8c269bfd3566716ca3b20
 SHA512 
ccd94c910205cc4950bdcee4b06f2c7be59f0ee4688f8ec342b071d1e79e1595dff309cb5c69b50090d33a67af5ea9e8dc26f5b68cb0b9c698554339eaee5cb9
 DIST pathable-0.5.0b6.gh.tar.gz 54728 BLAKE2B 
022c06bc20e9daf2b54a7742beaca5823482078a6b291156d68eb5675907f765612537d15dad5fab82c15afc1c147a65771976b518498a6180b4684df228d4f0
 SHA512 
6a900d2bba01a4cae26775516f3928d478f0bd36603a0159cc72f59c6831fb0fe8c279c413aa8fb70c87410483ea2a450e5eeae6931b4b9ed1522bbaf0a12648

diff --git a/dev-python/pathable/pathable-0.5.0.ebuild 
b/dev-python/pathable/pathable-0.5.0.ebuild
new file mode 100644
index 000000000000..7e7977188e01
--- /dev/null
+++ b/dev-python/pathable/pathable-0.5.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 2022-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( pypy3_11 python3_{11..14} )
+
+inherit distutils-r1
+
+MY_P=${P/_beta/b}
+DESCRIPTION="Object-oriented paths"
+HOMEPAGE="
+       https://pypi.org/project/pathable/
+       https://github.com/p1c2u/pathable
+"
+SRC_URI="
+       https://github.com/p1c2u/pathable/archive/${PV/_beta/b}.tar.gz
+               -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+if [[ ${PV} != *_beta* ]]; then
+       KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+fi
+
+RDEPEND="
+       =dev-python/pyrsistent-0.20*[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+src_prepare() {
+       sed -e '/--cov/d' -i pyproject.toml || die
+       distutils-r1_src_prepare
+}

Reply via email to